Update template
Authentication
OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token>.
Path parameters
The external account number (int) or account id GUID.
Request
This endpoint expects an object: envelopeTemplate
When set to true, Document Markup is enabled for envelope. Account must have Document Markup enabled to use this
When set to true, the recipient can redirect an envelope to a more appropriate recipient.
When set to true, the envelope is queued for processing and the value of the status property is set to ‘Processing’. Additionally, get status calls return ‘Processing’ until completed.
Note: A transactionId is required for this call to work correctly. When the envelope is created, the status is ‘Processing’ and an envelopeId is not returned in the response. To get the envelopeId, use a GET envelope query using the transactionId or by checking the Connect notification.
Reserved: For DocuSign use only.
Specifies the subject of the email that is sent to all recipients.
See [ML:Template Email Subject Merge Fields] for information about adding merge field information to the email subject.
When set to true, the signer is allowed to print the document and sign it on paper.
When set to true, documents with tabs can only be viewed by signers that have a tab on that document. Recipients that have an administrative role (Agent, Editor, or Intermediaries) or informational role (Certified Deliveries or Carbon Copies) can always see all the documents in an envelope, unless they are specifically excluded using this setting when an envelope is sent. Documents that do not have tabs are always visible to all recipients, unless they are specifically excluded using this setting when an envelope is sent.
Note: Your account must have Document Visibility enabled to use this.
The envelope’s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec
When set to true, Envelope ID Stamping is enabled.
A complex element containing the following information:
templateId: Unique identifier of the template. If this is not provided, DocuSign will generate a value.
name: Name of the template. Maximum length: 100 characters.
shared: When set to true, the template is shared with the Everyone group in the account. If false, the template is only shared with the Administrator group.
password: Password, if the template is locked.
description: Description of the template. Maximum Length: 500 characters.
pageCount: Number of document pages in the template.
folderName: The name of the folder the template is located in.
folderId: The ID for the folder.
owner: The userName, email, userId, userType, and userStatus for the template owner.
When set to true, indicates that this module is enabled on the account.
When set to true, prevents senders from changing the contents of emailBlurb and emailSubject properties for the envelope.
Additionally, this prevents users from making changes to the contents of emailBlurb and emailSubject properties when correcting envelopes.
However, if the messageLock node is set to true and the emailSubject property is empty, senders and correctors are able to add a subject to the envelope.
A complex element that specifies the notification options for the envelope. It consists of:
-
useAccountDefaults - When set to true, the account default notification settings are used for the envelope.
-
reminders - A complex element that specifies reminder settings for the envelope. It consists of:
- reminderEnabled - When set to true, a reminder message is sent to the recipient.
- reminderDelay - An interger that sets the number of days after the recipient receives the envelope that reminder emails are sent to the recipient.
- reminderFrequency - An interger that sets the interval, in days, between reminder emails.
-
expirations - A complex element that specifies the expiration settings for the envelope. It consists of:
- expireEnabled - When set to true, the envelope expires (is no longer available for signing) in the set number of days. If false, the account default setting is used. If the account does not have an expiration setting, the DocuSign default value of 120 days is used.
- expireAfter - An integer that sets the number of days the envelope is active.
- expireWarn - An integer that sets the number of days before envelope expiration that an expiration warning email is sent to the recipient. If set to 0 (zero), no warning email is sent.
Shows the current purge state for the envelope. The possible values are:
unpurged: There has been no successful request to purge documents.documents_queued: The envelope documents have been added to the purge queue, but have not been purged.documents_dequeued: The envelope documents have been taken out of the purge queue.documents_and_metadata_queued: The envelope documents and metadata have been added to the purge queue, but have not yet been purged.documents_purged: The envelope documents have been successfully purged.documents_and_metadata_purged: The envelope documents and metadata have been successfully purged.
When set to true, prevents senders from changing, correcting, or deleting the recipient information for the envelope.
Specifies the physical location where the signing takes place. It can have two enumeration values; InPerson and Online. The default value is Online.
When set to true, the disclosure is shown to recipients in accordance with the account’s Electronic Record and Signature Disclosure frequency setting. When set to false, the Electronic Record and Signature Disclosure is not shown to any envelope recipients.
If the useDisclosure property is not set, then the account’s normal disclosure setting is used and the value of the useDisclosure property is not returned in responses when getting envelope information.